on FindButtons
  global gMaxChannels, gSynchMediaButtonPropertyList, gSynchMediaPagePropertyList
  set buttonLinearList to []
  set pageLinearList to []
  repeat with N = 1 to gMaxChannels
    if the type of sprite N <> 0 then
      puppetSprite(N, 0)
      if the name of the member of sprite N contains "Button" then
        append(buttonLinearList, N)
      end if
      if word 1 of the name of the member of sprite N = "Page" then
        append(pageLinearList, N)
      end if
    end if
  end repeat
  BuildButtonPropertyList(buttonLinearList)
  set gSynchMediaButtonPropertyList to the result
  BuildButtonPropertyList(pageLinearList)
  set gSynchMediaPagePropertyList to the result
end

on BuildButtonPropertyList whichList
  set resultPropertyList to [:]
  repeat with N = 1 to count(whichList)
    set testSprite to getAt(whichList, N)
    set whichMemberNum to the number of the member of sprite testSprite
    if (the name of member whichMemberNum contains "Page") and (the name of member whichMemberNum contains "Blank") then
      set whichMemberNum to whichMemberNum + 1
    end if
    addProp(resultPropertyList, testSprite, whichMemberNum)
  end repeat
  return resultPropertyList
end

on doRollOverCheck
  global gSynchMediaButtonPropertyList
  repeat with N = 1 to count(gSynchMediaButtonPropertyList)
    set testSprite to getPropAt(gSynchMediaButtonPropertyList, N)
    set spriteMember to getaProp(gSynchMediaButtonPropertyList, testSprite)
    if not (the mouseDown) then
      if rollOver(testSprite) then
        puppetSprite(testSprite, 1)
        set the member of sprite testSprite to spriteMember + 2
        next repeat
      end if
      set the member of sprite testSprite to spriteMember
      puppetSprite(testSprite, 0)
    end if
  end repeat
end
